import { AccessToken } from './utils';
import { DataApiAggregateResponse, DataApiHistoricalResponse, DataApiValueResponse } from './responses';
import { DataApiAggregateQuery, DataApiHistoricalQuery, DataApiFirstOrLastQuery } from './queries';
import { DataApiClientConfig } from './entities';
export declare class DataApiClient {
    private url;
    private config;
    private nativeAuthSigner;
    constructor(config: DataApiClientConfig);
    executeValueQuery(query: DataApiFirstOrLastQuery): Promise<DataApiValueResponse | undefined>;
    executeAggregateQuery(query: DataApiAggregateQuery): Promise<DataApiAggregateResponse | undefined>;
    executeHistoricalQuery(query: DataApiHistoricalQuery): Promise<DataApiHistoricalResponse[]>;
    private executeQuery;
    executeRawQuery(body: {
        query: string;
        variables: Record<string, any>;
    }): Promise<any>;
    private post;
    private initialize;
    private getConfig;
    getAccessToken(): Promise<AccessToken>;
}
